# GenWorldInfo Struct Reference

Properties of current genworld process. More...

`#include <genworld.h>`

## Data Fields
bool | active
| Is generating world active.
bool | abort
| Whether to abort the thread ASAP.
bool | quit_thread
| Do we want to quit the active thread.
bool | threaded
| Whether we run _GenerateWorld threaded.
GenWorldMode | mode
| What mode are we making a world in.
CompanyID | lc
| The local_company before generating.
uint | size_x
| X-size of the map.
uint | size_y
| Y-size of the map.
GWDoneProc * | proc
| Proc that is called when done (can be NULL).
GWAbortProc * | abortp
| Proc that is called when aborting (can be NULL).
class ThreadObject * | thread
| The thread we are in (can be NULL).

## Detailed Description

Properties of current genworld process.

Definition at line 41 of file genworld.h.

The documentation for this struct was generated from the following file:

- src/genworld.h